# Exercise: Getting profile information

## Setup:

1. Complete [Prerequisites](/venue-request-workflow/exercises-for-workflow-chairs/prerequisites.md)

## Part 1: Getting all profiles from a list

### 1. Create a list of profiles to query

First, create a `list` of profiles to query. This could be a custom list, all authors of the submissions, all members of a group, such as reviewers, etc. This should be a list of profile IDs or emails that are associated with profiles.

Some useful examples from the documentation:

* [How to get all author profiles](/how-to-guides/data-retrieval-and-modification/how-to-loop-through-accepted-papers-and-print-the-authors-and-their-affiliations.md)
* [How to use get\_group](/how-to-guides/managing-groups/copying-members-from-one-group-to-another.md)

**Check your work:** Print the list of profiles. You should see a list of profiles in the format `['~First_Last1'....]` or `['example@email.com',.....]`

### 2. Get all profiles from that list

Review the example [here](/getting-started/objects-in-openreview/introduction-to-profiles.md) to get profiles from a list. This will return a list of profile objects. The relevant code is:

```python
profiles = openreview.tools.get_profiles(client_v2,profile_id_list,as_dict=True)
```

**Check your work:**  The result should be a dictionary with the query profile ID and the OpenReview Profile Object.&#x20;

### 3. Parse the profiles

Review the example [here](/getting-started/objects-in-openreview/introduction-to-profiles.md) to understand how profile information is stored, and one example of how to flatten and tabulate the data.&#x20;

**Check your work**: Use Python to get the profile ID property, the preferred email, and the current institutional affiliation. Then print the profile information and check that the data you extracted is correct.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openreview.net/venue-request-workflow/exercises-for-workflow-chairs/exercise-getting-profile-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
